<?php

namespace ContainerPO1948p;

class EntityManager_9a5be93 extends \Doctrine\ORM\EntityManager implements \ProxyManager\Proxy\VirtualProxyInterface
{
    private $valueHolder4920c = null;
    private $initializer98633 = null;
    private static $publicProperties44405 = [
        
    ];
    public function getConnection()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getConnection', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getConnection();
    }
    public function getMetadataFactory()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getMetadataFactory', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getMetadataFactory();
    }
    public function getExpressionBuilder()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getExpressionBuilder', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getExpressionBuilder();
    }
    public function beginTransaction()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'beginTransaction', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->beginTransaction();
    }
    public function getCache()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getCache', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getCache();
    }
    public function transactional($func)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'transactional', array('func' => $func), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->transactional($func);
    }
    public function wrapInTransaction(callable $func)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'wrapInTransaction', array('func' => $func), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->wrapInTransaction($func);
    }
    public function commit()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'commit', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->commit();
    }
    public function rollback()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'rollback', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->rollback();
    }
    public function getClassMetadata($className)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getClassMetadata', array('className' => $className), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getClassMetadata($className);
    }
    public function createQuery($dql = '')
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'createQuery', array('dql' => $dql), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->createQuery($dql);
    }
    public function createNamedQuery($name)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'createNamedQuery', array('name' => $name), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->createNamedQuery($name);
    }
    public function createNativeQuery($sql, \Doctrine\ORM\Query\ResultSetMapping $rsm)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'createNativeQuery', array('sql' => $sql, 'rsm' => $rsm), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->createNativeQuery($sql, $rsm);
    }
    public function createNamedNativeQuery($name)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'createNamedNativeQuery', array('name' => $name), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->createNamedNativeQuery($name);
    }
    public function createQueryBuilder()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'createQueryBuilder', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->createQueryBuilder();
    }
    public function flush($entity = null)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'flush', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->flush($entity);
    }
    public function find($className, $id, $lockMode = null, $lockVersion = null)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'find', array('className' => $className, 'id' => $id, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->find($className, $id, $lockMode, $lockVersion);
    }
    public function getReference($entityName, $id)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getReference', array('entityName' => $entityName, 'id' => $id), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getReference($entityName, $id);
    }
    public function getPartialReference($entityName, $identifier)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getPartialReference', array('entityName' => $entityName, 'identifier' => $identifier), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getPartialReference($entityName, $identifier);
    }
    public function clear($entityName = null)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'clear', array('entityName' => $entityName), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->clear($entityName);
    }
    public function close()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'close', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->close();
    }
    public function persist($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'persist', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->persist($entity);
    }
    public function remove($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'remove', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->remove($entity);
    }
    public function refresh($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'refresh', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->refresh($entity);
    }
    public function detach($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'detach', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->detach($entity);
    }
    public function merge($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'merge', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->merge($entity);
    }
    public function copy($entity, $deep = false)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'copy', array('entity' => $entity, 'deep' => $deep), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->copy($entity, $deep);
    }
    public function lock($entity, $lockMode, $lockVersion = null)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'lock', array('entity' => $entity, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->lock($entity, $lockMode, $lockVersion);
    }
    public function getRepository($entityName)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getRepository', array('entityName' => $entityName), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getRepository($entityName);
    }
    public function contains($entity)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'contains', array('entity' => $entity), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->contains($entity);
    }
    public function getEventManager()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getEventManager', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getEventManager();
    }
    public function getConfiguration()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getConfiguration', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getConfiguration();
    }
    public function isOpen()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'isOpen', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->isOpen();
    }
    public function getUnitOfWork()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getUnitOfWork', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getUnitOfWork();
    }
    public function getHydrator($hydrationMode)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getHydrator', array('hydrationMode' => $hydrationMode), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getHydrator($hydrationMode);
    }
    public function newHydrator($hydrationMode)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'newHydrator', array('hydrationMode' => $hydrationMode), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->newHydrator($hydrationMode);
    }
    public function getProxyFactory()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getProxyFactory', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getProxyFactory();
    }
    public function initializeObject($obj)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'initializeObject', array('obj' => $obj), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->initializeObject($obj);
    }
    public function getFilters()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'getFilters', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->getFilters();
    }
    public function isFiltersStateClean()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'isFiltersStateClean', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->isFiltersStateClean();
    }
    public function hasFilters()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'hasFilters', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return $this->valueHolder4920c->hasFilters();
    }
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;
        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $instance, 'Doctrine\\ORM\\EntityManager')->__invoke($instance);
        $instance->initializer98633 = $initializer;
        return $instance;
    }
    protected function __construct(\Doctrine\DBAL\Connection $conn, \Doctrine\ORM\Configuration $config, \Doctrine\Common\EventManager $eventManager)
    {
        static $reflection;
        if (! $this->valueHolder4920c) {
            $reflection = $reflection ?? new \ReflectionClass('Doctrine\\ORM\\EntityManager');
            $this->valueHolder4920c = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);
        }
        $this->valueHolder4920c->__construct($conn, $config, $eventManager);
    }
    public function & __get($name)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__get', ['name' => $name], $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        if (isset(self::$publicProperties44405[$name])) {
            return $this->valueHolder4920c->$name;
        }
        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4920c;
            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    $realInstanceReflection->getName(),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
        }
        $targetObject = $this->valueHolder4920c;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();
        return $returnValue;
    }
    public function __set($name, $value)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4920c;
            $targetObject->$name = $value;
            return $targetObject->$name;
        }
        $targetObject = $this->valueHolder4920c;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value;
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();
        return $returnValue;
    }
    public function __isset($name)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__isset', array('name' => $name), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4920c;
            return isset($targetObject->$name);
        }
        $targetObject = $this->valueHolder4920c;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();
        return $returnValue;
    }
    public function __unset($name)
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__unset', array('name' => $name), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');
        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4920c;
            unset($targetObject->$name);
            return;
        }
        $targetObject = $this->valueHolder4920c;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);
            return;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $accessor();
    }
    public function __clone()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__clone', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        $this->valueHolder4920c = clone $this->valueHolder4920c;
    }
    public function __sleep()
    {
        $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, '__sleep', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
        return array('valueHolder4920c');
    }
    public function __wakeup()
    {
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);
    }
    public function setProxyInitializer(\Closure $initializer = null) : void
    {
        $this->initializer98633 = $initializer;
    }
    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializer98633;
    }
    public function initializeProxy() : bool
    {
        return $this->initializer98633 && ($this->initializer98633->__invoke($valueHolder4920c, $this, 'initializeProxy', array(), $this->initializer98633) || 1) && $this->valueHolder4920c = $valueHolder4920c;
    }
    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder4920c;
    }
    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder4920c;
    }
}

if (!\class_exists('EntityManager_9a5be93', false)) {
    \class_alias(__NAMESPACE__.'\\EntityManager_9a5be93', 'EntityManager_9a5be93', false);
}
